Subject: Re: bug#52459: 28.0.90; prin1-to-string does not escape bidi control characters despite print-escape-control-characters=t

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Dec 2021 21:08:49 +0200

> Cc: [email-masked]
> From: Daniel Mendler <[email-masked]>
> Date: Mon, 13 Dec 2021 19:57:54 +0100
> 
> > Once again: prin1 will not help with displaying these characters.
> > Emacs doesn't use prin1 to display text.
> 
> Of course not. I am using prin1 to create a string from a value which I
> can then copy to a source file or display somewhere in the UI.

That will solve only a small fraction of situations where these
characters are displayed, because the vast majority of them don't use
prin1 to produce a string to display.  Most of the stuff displayed by
Emacs doesn't come from strings produced by prin1, it comes from
displaying the text of some buffer.

So your proposal is incomplete at best.  Again, I already tried to
explain that several times.